Loading...
Searching...
No Matches
BALL::Composite::AncestorIteratorTraits Class Reference

`#include <BALL/CONCEPT/composite.h>`

## Public Member Functions

BALL_INLINE | AncestorIteratorTraits ()
BALL_INLINE | AncestorIteratorTraits (const Composite &composite)
BALL_INLINE | AncestorIteratorTraits (const AncestorIteratorTraits &traits)
BALL_INLINE const AncestorIteratorTraits & | operator= (const AncestorIteratorTraits &traits)
BALL_INLINE Composite * | getContainer ()
BALL_INLINE const Composite * | getContainer () const
BALL_INLINE bool | isSingular () const
BALL_INLINE Composite * | getPosition ()
BALL_INLINE Composite *const & | getPosition () const
BALL_INLINE bool | operator== (const AncestorIteratorTraits &traits) const
BALL_INLINE bool | operator!= (const AncestorIteratorTraits &traits) const
BALL_INLINE bool | isValid () const
BALL_INLINE void | invalidate ()
BALL_INLINE void | toBegin ()
BALL_INLINE bool | isBegin () const
BALL_INLINE void | toEnd ()
BALL_INLINE bool | isEnd () const
BALL_INLINE Composite & | getData ()
BALL_INLINE const Composite & | getData () const
BALL_INLINE void | forward ()

## Detailed Description

Definition at line 973 of file composite.h.

## Constructor & Destructor Documentation

## AncestorIteratorTraits() [1/3]

BALL_INLINE BALL::Composite::AncestorIteratorTraits::AncestorIteratorTraits | ( |  | ) |

inline

Definition at line 978 of file composite.h.

## AncestorIteratorTraits() [2/3]

BALL_INLINE BALL::Composite::AncestorIteratorTraits::AncestorIteratorTraits | ( | const Composite & | composite | ) |

inline

Definition at line 986 of file composite.h.

## AncestorIteratorTraits() [3/3]

BALL_INLINE BALL::Composite::AncestorIteratorTraits::AncestorIteratorTraits | ( | const AncestorIteratorTraits & | traits | ) |

inline

Definition at line 994 of file composite.h.

## Member Function Documentation

## forward()

BALL_INLINE void BALL::Composite::AncestorIteratorTraits::forward | ( |  | ) |

inline

Definition at line 1040 of file composite.h.

## getContainer() [1/2]

BALL_INLINE Composite * BALL::Composite::AncestorIteratorTraits::getContainer | ( |  | ) |

inline

Definition at line 1010 of file composite.h.

## getContainer() [2/2]

BALL_INLINE const Composite * BALL::Composite::AncestorIteratorTraits::getContainer | ( |  | ) | const

inline

Definition at line 1012 of file composite.h.

## getData() [1/2]

BALL_INLINE Composite & BALL::Composite::AncestorIteratorTraits::getData | ( |  | ) |

inline

Definition at line 1036 of file composite.h.

## getData() [2/2]

BALL_INLINE const Composite & BALL::Composite::AncestorIteratorTraits::getData | ( |  | ) | const

inline

Definition at line 1038 of file composite.h.

## getPosition() [1/2]

BALL_INLINE Composite * BALL::Composite::AncestorIteratorTraits::getPosition | ( |  | ) |

inline

Definition at line 1016 of file composite.h.

## getPosition() [2/2]

BALL_INLINE Composite *const & BALL::Composite::AncestorIteratorTraits::getPosition | ( |  | ) | const

inline

Definition at line 1018 of file composite.h.

## invalidate()

BALL_INLINE void BALL::Composite::AncestorIteratorTraits::invalidate | ( |  | ) |

inline

Definition at line 1026 of file composite.h.

## isBegin()

BALL_INLINE bool BALL::Composite::AncestorIteratorTraits::isBegin | ( |  | ) | const

inline

Definition at line 1030 of file composite.h.

## isEnd()

BALL_INLINE bool BALL::Composite::AncestorIteratorTraits::isEnd | ( |  | ) | const

inline

Definition at line 1034 of file composite.h.

## isSingular()

BALL_INLINE bool BALL::Composite::AncestorIteratorTraits::isSingular | ( |  | ) | const

inline

Definition at line 1014 of file composite.h.

## isValid()

BALL_INLINE bool BALL::Composite::AncestorIteratorTraits::isValid | ( |  | ) | const

inline

Definition at line 1024 of file composite.h.

## operator!=()

BALL_INLINE bool BALL::Composite::AncestorIteratorTraits::operator!= | ( | const AncestorIteratorTraits & | traits | ) | const

inline

Definition at line 1022 of file composite.h.

## operator=()

BALL_INLINE const AncestorIteratorTraits & BALL::Composite::AncestorIteratorTraits::operator= | ( | const AncestorIteratorTraits & | traits | ) |

inline

Definition at line 1002 of file composite.h.

## operator==()

BALL_INLINE bool BALL::Composite::AncestorIteratorTraits::operator== | ( | const AncestorIteratorTraits & | traits | ) | const

inline

Definition at line 1020 of file composite.h.

## toBegin()

BALL_INLINE void BALL::Composite::AncestorIteratorTraits::toBegin | ( |  | ) |

inline

Definition at line 1028 of file composite.h.

## toEnd()

BALL_INLINE void BALL::Composite::AncestorIteratorTraits::toEnd | ( |  | ) |

inline

Definition at line 1032 of file composite.h.